package com.bcxin.ars.dto;

public class PersonStudyDTO {
	

	private Long personid;
	
	//姓名
	private String realname;
	
	//头像
	private String photo;
	
	//职业水平
	private String personlevel;
	
	//星级
	private String starLevel;
	
	//超过率 学习统计超越的百分比
	private String rate;

	//学习时长(分钟)
	private Integer studyprogress;
	
	//学习视频(个)
	private Integer videonum;
	
	//学习天数(天)
	private Integer studyday;
	
	//身份认证
	private String identityAuthState;
	
	//学习完成时长 百分比
	private Long value;
	
	//学习完成时长 百分比
	private String name;
	
	//需要学习总时长(分钟)
	private Long studylong;
	
	//正在学习的课程
	private String trainType;

	public Long getPersonid() {
		return personid;
	}

	public void setPersonid(Long personid) {
		this.personid = personid;
	}

	public String getRealname() {
		return realname;
	}

	public void setRealname(String realname) {
		this.realname = realname;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public String getPersonlevel() {
		return personlevel;
	}

	public void setPersonlevel(String personlevel) {
		this.personlevel = personlevel;
	}

	public String getStarLevel() {
		return starLevel;
	}

	public void setStarLevel(String starLevel) {
		this.starLevel = starLevel;
	}

	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}

	public Integer getStudyprogress() {
		return studyprogress;
	}

	public void setStudyprogress(Integer studyprogress) {
		this.studyprogress = studyprogress;
	}

	public Integer getVideonum() {
		return videonum;
	}

	public void setVideonum(Integer videonum) {
		this.videonum = videonum;
	}

	public Integer getStudyday() {
		return studyday;
	}

	public void setStudyday(Integer studyday) {
		this.studyday = studyday;
	}

	public String getIdentityAuthState() {
		return identityAuthState;
	}

	public void setIdentityAuthState(String identityAuthState) {
		this.identityAuthState = identityAuthState;
	}

	public Long getValue() {
		return value;
	}

	public void setValue(Long value) {
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getStudylong() {
		return studylong;
	}

	public void setStudylong(Long studylong) {
		this.studylong = studylong;
	}

	public String getTrainType() {
		return trainType;
	}

	public void setTrainType(String trainType) {
		this.trainType = trainType;
	}

	
}
